# sip-recorder

docker container with an asterisk instance which replies to all calls and records them

## building
```
docker build -t sip-recorder .
```

## running
```
# first get your IP address
IP=$(ip addr show eth0 |grep '^\s*inet\ ' | sed 's/.*inet\ \([0-9]*\.[0-9]*\.[0-9]*\.[0-9]*\).*/\1/')

# then start the container
docker run -d --name sip-recorder \
-v "$PWD/recordings:/recordings" \
-v "$PWD/recordings-csv:/var/log/asterisk/cdr-custom" \
-p 5060:5060/udp -p 15000-15100:15000-15100/udp \
-e "SIP_PASS=mypassword" \
-e "SIP_USER=myuser" \
-e "SIP_SERVER=sip.provider.com" \
-e "EXTERNAL_IP=$IP" \
sip-recorder

```

